Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#50 Patch for PostgreSQL

open
nobody
None
5
2007-12-30
2007-12-30
Romain LE DISEZ
No

Scuttle 0.7.2 doesn't work with PostgreSQL (8.1 for me) because it doesn't follow the SQL standard. It's mainly because of using double quote instead of single and because SQL is case sensitive.

This patch fix this. It should be compatible with MySQL and other databases but I can't affirm it.

Thanks to gjbremer who did half the job (single/double quote)

The long-term solution is probably to lowercase all columns.

This patch also correct some little bugs (see the patch for more informations).

To apply the patch : go to scuttle dir and type :
$ patch -p1 -N < /place/to/scuttle-0.7.2-pgsql.patch

Then create the tables with tables.postgres.sql

Discussion